## org.mariadb.jdbc.internal.util.constant
Class ColumnFlags

    java.lang.Object
      org.mariadb.jdbc.internal.util.constant.ColumnFlags

    public class ColumnFlags

extends Object

Field Summary
`static short` `AUTO_INCREMENT`
`static short` `BINARY_COLLATION`
`static short` `BLOB`
`static short` `DECIMAL`
`static short` `ENUM`
`static short` `MULTIPLE_KEY`
`static short` `NOT_NULL`
`static short` `PRIMARY_KEY`
`static short` `SET`
`static short` `TIMESTAMP`
`static short` `UNIQUE_KEY`
`static short` `UNSIGNED`

Constructor Summary
`ColumnFlags()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOT_NULL

    public static final short NOT_NULL

See Also:
  Constant Field Values

### PRIMARY_KEY

    public static final short PRIMARY_KEY

See Also:
  Constant Field Values

### UNIQUE_KEY

    public static final short UNIQUE_KEY

See Also:
  Constant Field Values

### MULTIPLE_KEY

    public static final short MULTIPLE_KEY

See Also:
  Constant Field Values

### BLOB

    public static final short BLOB

See Also:
  Constant Field Values

### UNSIGNED

    public static final short UNSIGNED

See Also:
  Constant Field Values

### DECIMAL

    public static final short DECIMAL

See Also:
  Constant Field Values

### BINARY_COLLATION

    public static final short BINARY_COLLATION

See Also:
  Constant Field Values

### ENUM

    public static final short ENUM

See Also:
  Constant Field Values

### AUTO_INCREMENT

    public static final short AUTO_INCREMENT

See Also:
  Constant Field Values

### TIMESTAMP

    public static final short TIMESTAMP

See Also:
  Constant Field Values

### SET

    public static final short SET

See Also:
  Constant Field Values

Constructor Detail

### ColumnFlags

    public ColumnFlags()

Copyright © 2017. All rights reserved.